Bug 118408 - Wget fails to download SSL URL
Wget fails to download SSL URL
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
https://www.anbusiness.com/weblogic/F...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-16 09:41 EST by Mike Bremford
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 07:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Bremford 2004-03-16 09:41:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
Both "wget" and Konqueror (not the redhat RPM, but the 3.2.1 RPM downloaded from kde.org) to fail on some SSL URLs. This applies with both the wget/openssl/krb5-libs combination from Fedora Core 1 and the package versions I listed above from "development.

The two URLs I've been testing are

https://www.anbusiness.com/weblogic/FNG/jsp/logon.jsp
https://www.skandiabanken.se/sksecure/login.asp

Both fail with the following output:

wget -Sd https://www.skandiabanken.se/sksecure/login.asp
DEBUG output created by Wget 1.9+cvs-stable (Red Hat modified) on linux-gnu.

--13:52:33--  https://www.skandiabanken.se/sksecure/login.asp
           => `login.asp'
Resolving www.skandiabanken.se... 194.103.154.226
Caching www.skandiabanken.se => 194.103.154.226
Connecting to www.skandiabanken.se[194.103.154.226]:443... connected.
Created socket 3.
Releasing 0x80897b0 (new refcount 1).
---request begin---
GET /sksecure/login.asp HTTP/1.0
User-Agent: Wget/1.9+cvs-stable (Red Hat modified)
Host: www.skandiabanken.se
Accept: */*
Connection: Keep-Alive

---request end---
HTTP request sent, awaiting response...
Read error (Success) in headers.
Closing fd 3
Retrying.


when I connect directly using openssl s_client or using w3m or mozilla, both seem to work (in at least I have a valid conversation with the webserver - can't get more than a 400 error from skandiabanken, although anbusiness works fine).



Version-Release number of selected component (if applicable):
wget-1.9.1-5, openssl-0.9.7a-34, krb5-libs-1.3.2-1

How reproducible:
Always

Steps to Reproduce:
1. wget -Sd https://www.anbusiness.com/weblogic/FNG/jsp/logon.jsp	
2.
3.
    

Additional info:

Note You need to log in before you can comment on or make changes to this bug.